Skip to content

List invoice payments

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}/payments

List immutable payment ledger entries for an invoice.

invoice_id
required
Invoice Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Response List Invoice Payments Api V1 Tenants Tenant Id Workspaces Workspace Id Invoices Invoice Id Payments Get
Array<object>
InvoicePaymentResponse

Invoice payment ledger entry response.

object
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
id
required
Id
string format: uuid
tenant_id
required
Tenant Id
string format: uuid
invoice_id
required
Invoice Id
string format: uuid
amount
required
Amount
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
currency
required
Currency
string
payment_channel
required
InvoicePaymentChannel

How invoice payment was collected.

string
Allowed values: flutterwave bank_transfer cash manual
external_reference
Any of:
string
provider_tx_id
Any of:
string
paid_at
required
Paid At
string format: date-time
recorded_by
Any of:
string format: uuid
note
Any of:
string
metadata
Any of:
object
key
additional properties
any
Examples

200 response example

[
{
"created_at": "2026-02-11T10:00:00Z",
"updated_at": "2026-02-11T10:00:00Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"amount": "100.00",
"currency": "string",
"payment_channel": "flutterwave",
"external_reference": "string",
"provider_tx_id": "string",
"paid_at": "2026-02-11T10:00:00Z",
"recorded_by": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"note": "string"
}
]

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}